Module java.desktop
Package javax.swing.text

# Class StyledEditorKit.FontSizeAction

java.lang.Object
javax.swing.AbstractAction
javax.swing.text.TextAction
javax.swing.text.StyledEditorKit.StyledTextAction
javax.swing.text.StyledEditorKit.FontSizeAction

All Implemented Interfaces:
  `ActionListener`, `Serializable`, `Cloneable`, `EventListener`, `Action`

Enclosing class:
  StyledEditorKit

public static class StyledEditorKit.FontSizeAction extends StyledEditorKit.StyledTextAction
An action to set the font size in the associated JEditorPane. This will use the size specified as the command string on the ActionEvent if there is one, otherwise the size that was initialized with will be used.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

## Field Summary

### Fields declared in class javax.swing.AbstractAction

`changeSupport, enabled`

### Fields declared in interface javax.swing.Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

## Constructor Summary

Constructors
Constructor
Description
`FontSizeAction​(String nm, int size)`
Creates a new FontSizeAction.

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed​(ActionEvent e)`
Sets the font size.

### Methods declared in class javax.swing.text.StyledEditorKit.StyledTextAction

`getEditor, getStyledDocument, getStyledEditorKit, setCharacterAttributes, setParagraphAttributes`

### Methods declared in class javax.swing.text.TextAction

`augmentList, getFocusedComponent, getTextComponent`

### Methods declared in class javax.swing.AbstractAction

`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods declared in class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface javax.swing.Action

`accept`

## Constructor Details

### FontSizeAction

public FontSizeAction​(String nm, int size)
Creates a new FontSizeAction.

Parameters:
  `nm` - the action name
  `size` - the font size

## Method Details

### actionPerformed

public void actionPerformed​(ActionEvent e)
Sets the font size.

Parameters:
  `e` - the action event